This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 01:34
Elapsed6m53s
Revision
Builderb758f271-72ef-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/75ea1ce6-9093-4cfd-ac0e-6147d6b89451/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/75ea1ce6-9093-4cfd-ac0e-6147d6b89451/targets/test
infra-commit28188a571

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 01:34:53.996] process 30 exited with code 0 after 0.0m
I0331 01:34:53.997] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 01:34:53.997] Root: /workspace
I0331 01:34:53.998] cd to /workspace
I0331 01:34:53.998] Configure environment...
I0331 01:34:53.998] Call:  git show -s --format=format:%ct HEAD
W0331 01:34:54.006] fatal: not a git repository (or any of the parent directories): .git
I0331 01:34:54.006] process 43 exited with code 128 after 0.0m
W0331 01:34:54.006] Unable to print commit date for HEAD
I0331 01:34:54.007] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 01:34:54.765] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 01:34:55.697] process 44 exited with code 0 after 0.0m
I0331 01:34:55.697] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 01:41:34.708]     self.send(msg)
W0331 01:41:34.708]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 01:41:34.708]     self.connect()
W0331 01:41:34.708]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 01:41:34.708]     conn = self._new_conn()
W0331 01:41:34.709]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 01:41:34.709]     self, "Failed to establish a new connection: %s" % e
W0331 01:41:34.709] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7ff850c563c8>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 01:41:34.709] 
W0331 01:41:34.709] During handling of the above exception, another exception occurred:
W0331 01:41:34.709] 
W0331 01:41:34.709] Traceback (most recent call last):
W0331 01:41:34.710]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 01:41:34.710]     timeout=timeout
W0331 01:41:34.710]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 01:41:34.710]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 01:41:34.710]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 01:41:34.710]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 01:41:34.710] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff850c563c8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 01:41:34.710] 
W0331 01:41:34.711] During handling of the above exception, another exception occurred:
W0331 01:41:34.711] 
W0331 01:41:34.711] Traceback (most recent call last):
W0331 01:41:34.711]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 01:41:34.711]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 01:41:34.713]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 01:41:34.713]     resp = self.send(prep, **send_kwargs)
W0331 01:41:34.713]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 01:41:34.713]     r = adapter.send(request, **kwargs)
W0331 01:41:34.713]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 01:41:34.713]     raise ConnectionError(e, request=request)
W0331 01:41:34.714] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7ff850c563c8>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 01:41:34.715] Traceback (most recent call last):
W0331 01:41:34.715]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 01:41:34.715]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 01:41:34.715]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 01:41:34.715]     check(*cmd)
W0331 01:41:34.715]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 01:41:34.715]     subprocess.check_call(cmd)
W0331 01:41:34.716]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 01:41:34.716]     raise CalledProcessError(retcode, cmd)
W0331 01:41:34.716] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 01:41:34.730] Command failed
I0331 01:41:34.731] process 252 exited with code 1 after 6.6m
E0331 01:41:34.731] FAIL: metrics-kettle
I0331 01:41:34.731] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 01:41:35.322] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 01:41:35.988] process 256 exited with code 0 after 0.0m
I0331 01:41:35.988] Call:  gcloud config get-value account
I0331 01:41:37.021] process 268 exited with code 0 after 0.0m
I0331 01:41:37.021] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 01:41:37.021] Upload result and artifacts...
I0331 01:41:37.021] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244800212493406208
W0331 01:41:37.022] Missing local artifacts : /workspace/_artifacts
W0331 01:41:37.022] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 01:41:37.022] metadata not found or invalid, init with empty metadata
I0331 01:41:37.022] Call:  git rev-parse HEAD
W0331 01:41:37.032] fatal: not a git repository (or any of the parent directories): .git
E0331 01:41:37.034] Command failed
I0331 01:41:37.034] process 281 exited with code 128 after 0.0m
I0331 01:41:37.035] Call:  git rev-parse HEAD
I0331 01:41:37.042] process 282 exited with code 0 after 0.0m
I0331 01:41:37.043] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 01:41:38.846] process 283 exited with code 0 after 0.0m
I0331 01:41:38.847] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585615238848652'
... skipping 8 lines ...